<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script>
        //1.10. Block Scoped Variables
        
        if (true) {
            var foo = 'peekaboo!';
            let bar = 'i see u';
            const baz = 'baby blue!';
            console.log(foo);// (function scoped)
            console.log(bar);// (block scoped)
            console.log(baz);// (block scoped)
        }
        console.log(foo);// (function scoped)
        // console.log(bar);// (block scoped)
        // console.log(baz);// (block scoped)

           
        //function test() {
           if (true) {
                var slogan1 = "Học lập trình ReactJS Devcamp2021"; // (function scoped)
           }
        //}

        alert(slogan1);

        if (true) {
            let slogan2 = "Học lập trình ReactJS Devcamp2022"; // (function scoped)  
            alert(slogan2);         
        }
        
          

    </script>
</head>

<body>

</body>

</html>
